xine-lib: deinterlace_scanline_data_s Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
deinterlace_scanline_data_s Struct Reference

`#include <deinterlace.h>`

## Data Fields
uint8_t * | tt0
uint8_t * | t0
uint8_t * | m0
uint8_t * | b0
uint8_t * | bb0
uint8_t * | tt1
uint8_t * | t1
uint8_t * | m1
uint8_t * | b1
uint8_t * | bb1
uint8_t * | tt2
uint8_t * | t2
uint8_t * | m2
uint8_t * | b2
uint8_t * | bb2
uint8_t * | tt3
uint8_t * | t3
uint8_t * | m3
uint8_t * | b3
uint8_t * | bb3
int | bottom_field
int | bytes_left

## Detailed Description

There are two scanline functions that every deinterlacer plugin must implement to do its work: one for a 'copy' and one for an 'interpolate' for the currently active field. This so so that while plugins may be delaying fields, the external API assumes that the plugin is completely realtime.

Each deinterlacing routine can require data from up to four fields. The most recent field captured is field 0, and increasing numbers go backwards in time.

## Field Documentation

## ◆ b0

uint8_t * deinterlace_scanline_data_s::b0

Referenced by deinterlace_scanline_linear(), deinterlace_scanline_linear_blend(), deinterlace_scanline_vfir(), and tvtime_build_deinterlaced_frame().

## ◆ b1

uint8_t * deinterlace_scanline_data_s::b1

Referenced by deinterlace_greedy_packed422_scanline_mmxext(), deinterlace_scanline_linear_blend2(), and tvtime_build_deinterlaced_frame().

## ◆ b2

uint8_t * deinterlace_scanline_data_s::b2

Referenced by tvtime_build_deinterlaced_frame().

## ◆ b3

uint8_t * deinterlace_scanline_data_s::b3

## ◆ bb0

uint8_t * deinterlace_scanline_data_s::bb0

Referenced by tvtime_build_deinterlaced_frame().

## ◆ bb1

uint8_t * deinterlace_scanline_data_s::bb1

Referenced by deinterlace_scanline_vfir(), and tvtime_build_deinterlaced_frame().

## ◆ bb2

uint8_t * deinterlace_scanline_data_s::bb2

Referenced by tvtime_build_deinterlaced_frame().

## ◆ bb3

uint8_t * deinterlace_scanline_data_s::bb3

Referenced by tvtime_build_deinterlaced_frame().

## ◆ bottom_field

int deinterlace_scanline_data_s::bottom_field

Referenced by tvtime_build_deinterlaced_frame().

## ◆ bytes_left

int deinterlace_scanline_data_s::bytes_left

Referenced by tvtime_build_deinterlaced_frame().

## ◆ m0

uint8_t * deinterlace_scanline_data_s::m0

Referenced by copy_scanline(), copy_scanline(), copy_scanline(), copy_scanline(), deinterlace_greedy_packed422_scanline_mmxext(), deinterlace_scanline_linear_blend2(), and tvtime_build_deinterlaced_frame().

## ◆ m1

uint8_t * deinterlace_scanline_data_s::m1

Referenced by copy_scanline(), deinterlace_scanline_linear_blend(), deinterlace_scanline_vfir(), deinterlace_scanline_weave(), and tvtime_build_deinterlaced_frame().

## ◆ m2

uint8_t * deinterlace_scanline_data_s::m2

Referenced by deinterlace_greedy_packed422_scanline_mmxext(), and tvtime_build_deinterlaced_frame().

## ◆ m3

uint8_t * deinterlace_scanline_data_s::m3

Referenced by tvtime_build_deinterlaced_frame().

## ◆ t0

uint8_t * deinterlace_scanline_data_s::t0

Referenced by deinterlace_scanline_double(), deinterlace_scanline_linear(), deinterlace_scanline_linear_blend(), deinterlace_scanline_vfir(), and tvtime_build_deinterlaced_frame().

## ◆ t1

uint8_t * deinterlace_scanline_data_s::t1

Referenced by deinterlace_greedy_packed422_scanline_mmxext(), deinterlace_scanline_linear_blend2(), and tvtime_build_deinterlaced_frame().

## ◆ t2

uint8_t * deinterlace_scanline_data_s::t2

Referenced by tvtime_build_deinterlaced_frame().

## ◆ t3

uint8_t * deinterlace_scanline_data_s::t3

## ◆ tt0

uint8_t* deinterlace_scanline_data_s::tt0

Referenced by tvtime_build_deinterlaced_frame().

## ◆ tt1

uint8_t* deinterlace_scanline_data_s::tt1

Referenced by deinterlace_scanline_vfir(), and tvtime_build_deinterlaced_frame().

## ◆ tt2

uint8_t* deinterlace_scanline_data_s::tt2

Referenced by tvtime_build_deinterlaced_frame().

## ◆ tt3

uint8_t* deinterlace_scanline_data_s::tt3

Referenced by tvtime_build_deinterlaced_frame().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/deinterlace/deinterlace.h